@ECHO OFF
REM Batch file to make data backup/load copies Al Dodd 10/18/93
rem        uses the LHA.EXE file compression utility
rem        copyrighted by Haruyasu Yoshizaki

CLS
ECHO  **********************************************************************
ECHO  *                                                                    *
ECHO  *   League Manager Backup Utility Version 1.91                       *
ECHO  *                                                                    *
ECHO  *   This procedure will Backup or Load DATA files                    *
ECHO  *                                                                    *
ECHO  **********************************************************************

if "%1"=="" goto EXITMSSG
if "%2"=="" goto EXITMSSG

if "%4"=="N" goto start
format %2
if errorlevel 1 goto badexit

:start
if "%3"=="L" goto loadit
echo Copying files from %1\ to %2 ...

if "%3"=="Z" goto zipit

rem do regular copy using dos command
copy %1\*.* %2
if errorlevel 1 goto badexit
echo Backup Copy complete
goto alldone

:zipit
if not exist lha.exe goto ziperr
lha u %2\DATA.LZH %1\
if errorlevel 1 goto errhandle
echo Backup Copy complete
goto alldone

:loadit
if exist %2\DATA.LZH goto zipload
if not exist %2\PLAYER.DBR goto badexit

echo Copying files from %2 to %1\ ...
copy %2\*.* %1
if errorlevel 1 goto badexit
echo Load Data complete
goto alldone


:zipload
if not exist lha.exe goto ziperr
echo Copying files from %2 to %1\ ...
lha e /m1 %2\DATA.LZH %1\
if errorlevel 1 goto errhandle
echo Load Data complete

:alldone
pause
if "%3"=="Z" goto zipdone
if "%3"=="L" goto loaddone
dir %2 /p
goto alldone2

:loaddone
dir %1\*.* /p
goto alldone2

:zipdone
dir %2

:alldone2
echo Remove diskette in %2 and store in safe place
pause
goto exit

:ziperr
echo The LHA.EXE program file is missing
echo You must copy it into the %1\ Directory
echo in order to use the compressed files feature

:badexit
echo *************** ERROR ************************************
echo This Backup has FAILED - DATA files not saved!!!
pause
goto exit

: EXITMSSG
CLS
echo .
echo **********************  STARTUP ERROR *********************************
ECHO This program is called by League Manager!
echo Select Backup option from Main Menu screen
goto badexit

:errhandle
echo .
echo *** AN ERROR IN THE BACKUP/LOAD PROCESS HAS OCCURED ***
echo .
echo You may wish to retry the selected function, or
echo you may wish to manually copy using DOS commands - Quit League Manager
echo .
echo *** AN ERROR IN THE BACKUP/LOAD PROCESS HAS OCCURED ***
echo .

if errorlevel 3 goto err3
if errorlevel 2 goto err2
if errorlevel 1 goto err1
echo An UNKNOWN error occurred 
goto badexit

:err1
echo Disk is Full -or- CRC error occured
goto badexit

:err2
echo Unknown FATAL error in compressed file
goto badexit

:err3
echo Failed to write temporary files
goto badexit

:EXIT
